List schedules entities
curl --request GET \
--url https://mainnet.mirrornode.hedera.com/api/v1/schedulesimport requests
url = "https://mainnet.mirrornode.hedera.com/api/v1/schedules"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://mainnet.mirrornode.hedera.com/api/v1/schedules', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"schedules": [
{
"admin_key": {
"_type": "ProtobufEncoded",
"key": "15706b229b3ba33d4a5a41ff54ce1cfe0a3d308672a33ff382f81583e02bd743"
},
"consensus_timestamp": "1586567700.453054000",
"creator_account_id": "0.0.2",
"deleted": false,
"executed_timestamp": "1586567700.453054000",
"expiration_time": "1586567700.453054000",
"memo": "created on 02/10/2021",
"payer_account_id": "0.0.2",
"schedule_id": "0.0.2",
"signatures": [
{
"consensus_timestamp": "1586567700.453054000",
"public_key_prefix": "AAEBAwuqAwzB",
"signature": "3q2+7wABAQMLqgMMwQ==",
"type": "ED25519"
}
],
"transaction_body": "Kd6tvu8=",
"wait_for_expiry": true
}
],
"links": {
"next": null
}
}{
"_status": {
"messages": [
{
"message": "Invalid parameter: account.id"
},
{
"message": "Invalid Transaction id. Please use \\shard.realm.num-sss-nnn\\ format where sss are seconds and nnn are nanoseconds"
}
]
}
}Schedules
List schedules entities
Lists schedules on the network that govern the execution logic of scheduled transactions. This includes executed and non executed schedules.
GET
/
api
/
v1
/
schedules
List schedules entities
Query Parameters
The ID of the account to return information for
Pattern:
^((gte?|lte?|eq|ne)\:)?(\d{1,10}\.\d{1,10}\.)?\d{1,10}$The maximum number of items to return
Required range:
1 <= x <= 100The order in which items are listed
Available options:
asc, desc The ID of the schedule to return information for
Pattern:
^((gte?|lte?|eq|ne)\:)?(\d{1,10}\.\d{1,10}\.)?\d{1,10}$Was this page helpful?
⌘I